Bug 200173 - [patch] devel/sdl12: Fix delayed joystick inputs
Summary: [patch] devel/sdl12: Fix delayed joystick inputs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Marcus von Appen
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-05-13 15:23 UTC by kikuchan98
Modified: 2015-06-15 18:49 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mva)


Attachments
A patch for devel/sdl12/files/patch-src_joystick_bsd_SDL_sysjoystick.c (7.13 KB, patch)
2015-05-13 15:23 UTC, kikuchan98
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kikuchan98 2015-05-13 15:23:59 UTC
Created attachment 156752 [details]
A patch for devel/sdl12/files/patch-src_joystick_bsd_SDL_sysjoystick.c

I posted a report for this bug few years ago, and they fixed on their repository, but a new version is not yet released.

I think the fix should be included in ports, until they release a new version.
(or the ports should follow their maintenance branch perhaps?)

The bug details, see: https://bugzilla.libsdl.org/show_bug.cgi?id=2090
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2015-06-14 08:58:18 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2015-06-14 08:58:31 UTC
A commit references this bug:

Author: mva
Date: Sun Jun 14 08:58:08 UTC 2015
New revision: 389607
URL: https://svnweb.freebsd.org/changeset/ports/389607

Log:
  - Fix delayed inputs for joysticks with high sampling rates

  PR:		200173
  Submitted by:	kikuchan98@gmail.com

Changes:
  head/devel/sdl12/Makefile
  head/devel/sdl12/files/patch-src_joystick_bsd_SDL_sysjoystick.c
Comment 3 kikuchan98 2015-06-15 18:49:45 UTC
Thank you!!